Page MenuHomeFreeBSD

misc/xiphos: Unbreak build
ClosedPublic

Authored by kai on Feb 16 2019, 12:29 PM.

Details

Summary

PR 232997

  • Unbreak build by adding "-ftemplate-depth=1024" to CXXFLAGS
  • Add missing libraries

While I'm here:

  • Fix license and add path to license file
  • Add "gnome" to USES because using USE_GNOME alone is deprecated
  • Pet portlint
Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENT@r342772 amd64 + i386) -> OK
  • portlint -> OK (just warns about the BUILD_DEPENDS=${RUN_DEPENDS} [...] construct)
  • Runtime tests -> OK

It builds also fine on the 2019Q1 branch for the case if a MFH is required/accepted.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Feb 16 2019, 12:29 PM
tcberner added inline comments.Feb 18 2019, 6:54 PM
misc/xiphos/Makefile
33 ↗(On Diff #53986)

there should be no need for ".

kai updated this revision to Diff 54054.Feb 18 2019, 11:47 PM
  • Removed double-quotes from the CXXFLAGS value
kai marked an inline comment as done.Feb 18 2019, 11:48 PM
kai added inline comments.
misc/xiphos/Makefile
33 ↗(On Diff #53986)

Ok, the double-quotes are removed.

miwi accepted this revision.Feb 19 2019, 1:44 PM

LGTM

This revision is now accepted and ready to land.Feb 19 2019, 1:44 PM
This revision was automatically updated to reflect the committed changes.
kai marked an inline comment as done.